[Android] Sim not appearing in play store (S7 Edge)

I know I am not alone in this so I thought I would post one in support.

Device - Samsung S7 Edge
Android Version - Android 7.0
Open GL Version 3.2

Phone successfully was able to run the beta version but never received the update when the RTM was pushed. Uninstalled IF and could no longer see it in the play store to re-install. I thought it would take a couple days so I was patient but it would be nice to fly for controller tests when needed.

Yes I have:

  • Rebooted the device
  • Clear the cache
  • Delete play store data and log in again
  • Results are the same on wifi and cell in case it made a different.
  • No third party blocking software like firewalls or virus scanner.
  • Not rooted
  • Only thing I have NOT done is restore to factory settings which I am unable to do because of applications for work installed.

I contacted Google Play Store support and they said to contact the developers.

After going to the web version of the play store, I could see it but when I open it I get the not compatible.

3 Likes

They know about this issue with some phones and are trying to figure it out

1 Like

Same with me - I think I have found something:
Download this app. It’s an openGL version viewer, BUT where every other app says I have openGL3 this says I have 2. Try and see if you get the same result

I think some S7 Edge models don’t support Open GL 3. I read it somewhere online for a different support thread like this but I forgot exactly where I read it. Weird tho considering no reports from S5/S6 about this. I updated day one on S6 smoothly but lags heavily.

Mine says I have OpenGL 3.2.

Oh well I will wait on what the devs say.

1 Like

S7 Edge US Version (935V) is running Adreno 530, and have OpenGL 3.2 as stated.

2 Likes

Mine too…

Screenshot_20171017-205246

Maybe they put

OpenGL = 3.0

Instead of

OpenGL >= 3.0

… It took me four hours to find something like that in a piece of my code this morning for work… rage…

1 Like

Interesting thought. But what does your Pixel have?

I don’t think it is a hardware issue; those devices should be compatible. There seem to be something funky going on with Google Play Store (though clearing the store cache seems to not solve this) or we have an issue in our apk manifest that makes Google Play believe those devices are not compatible.

@Chris_S I don’t think it is that simple (I wish). The way it works is that you specify the minimum version required and it is supposed to work for anything equal or greater.

This is the weirdest bug so far :)

1 Like

@Chris_S are you on the US Google Play Store? Was your phone bought in the US?

No, my phone was bought in CZ from official distributor channel and it is still under warranty. How I can select which Play Store I want use?

I don’t think you can (you would need to create a new account and re-buy everything). I am investigating the issue but it might take some time. Thank you for your patience.

4 Likes

For the record the pixel has the exact same version as my s7.

1 Like

Good. Philippe hammered our nice little theory we had going there so… lol.

I have an S7 Edge and got the update the day it was released on Android. Funny enough, I’ve been flying a ton and the only bug I have faced so far is regarding the inputting of lengthy flight plans.

I think I’ve found the source of the issue. The OP above has a kernel version of 3.18.31 which was updated on Sep 5th.

But I have the kernel version 3.18.14 which was updated on Aug 21st, which means that I don’t have the latest version (It’s worked for me excellently since day one).

Maybe it is due to that kernel version the devices are being shown as “not compatible”.

I have kernel version 3.18.14 and worked for me

exactly my point, those with the latest version can’t install it.

But we can, and we have the S7 Edge too.

Yeah, My hypothesis is that it’s currently not compatible with S7 Edge devices that have a Kernel version higher than 3.18.14 (this version works because I’m using it).